org.apache.xmlgraphics.xmp.merge

## Interface PropertyMerger

- All Known Implementing Classes:
    ArrayAddPropertyMerger, NoReplacePropertyMerger, ReplacePropertyMerger

      public interface PropertyMerger

  Defines an interface the classes can implement to provide special property merging behaviour.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `merge(XMPProperty sourceProp, Metadata target)` Merges a property into a given metadata object

- - ### Method Detail

    - #### merge

          void merge(XMPProperty sourceProp,
                     Metadata target)

      Merges a property into a given metadata object
      Parameters:
        `sourceProp` - the source property
        `target` - the target metadata object

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.